#include <MainDialog.hpp>
#include <TestDialog.hpp>

#include <QVBoxLayout>
#include <QPushButton>
#include <QTableWidget>

MainDialog::MainDialog(QWidget* parent) :
QDialog(parent),
testDialog_(nullptr)
{	
	setWindowTitle("Main Dialog");

    QVBoxLayout* vBoxLayout=new QVBoxLayout(this);	
	setLayout(vBoxLayout);

    QPushButton* pushButton=new QPushButton("Test Dialog");
    QObject::connect(pushButton,SIGNAL(clicked()),
					 this,SLOT(testDialogSlot()));
	
	vBoxLayout->addWidget(pushButton);

    resize(200,70);
}

MainDialog::~MainDialog(){}

void MainDialog::testDialogSlot()
{
    if(!testDialog_)
        testDialog_=new TestDialog(this);
    testDialog_->show();
}


